{
	"name": "form/nc/project-material/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "project-material"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "1/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Project",
								"attribute": {
									"model": "hdr.project_material.project"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-padding-right"],
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"model": "rec.project"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-end-h"],
							"width": "1/4"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									"class": ["nc-margin-right"],
									"v-on:click.native": "clickButton('add_order')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "plus"
										}
									},
									{
										"component": "nc-translate",
										"text": "Add order",
										"attribute": {
											"model": "hdr.project_material.add_order"
										}
									}
								]
							},
							{
								"component": "nc-button",
								"attribute": {
									"class": ["primary"],
									"v-on:click.native": "clickButton('update')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "search"
										}
									},
									{
										"component": "nc-translate",
										"text": "Update",
										"attribute": {
											"model": "hdr.project_material.update"
										}
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"style": ["height: 0.5em"]
				}
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-grid",
						"attribute": {
							"id": "project_material",
							"model": "grid.project_material",
							"style": ["width: 100%", "height: calc(100vh - 10em)"]
						}
					}
				]
			}
		]
	}
}
